Page MenuHomePhabricator

Global rename of B dash → A1Cafel: supervision needed
Closed, ResolvedPublic

Description

The main account has > 100k edits; (149,639). See the request here. The request is accepted so we would appreciate if you could reserve for us a window so this rename can be performed and simultaneously supervised. Thanks.

Note: the user main edits number in commons (96,626), zh.wikipedia (39,667) (CentralAuth)

Event Timeline

mys_721tx created this task.Jun 3 2019, 5:34 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptJun 3 2019, 5:34 PM
jcrespo added a comment.EditedJun 4 2019, 7:05 AM

May I ask you to hold (pause temporarily) the rename? We are very close of finalizing the deployment of a database change that will make the rename almost instant. That will reduce the amount of work the database has to do plus avoid most inconveniences for the user. This is the same case as T224348.

Sure thing! I will hold until you give the go.

If everything goes according to plan it should only be a few days.

mys_721tx renamed this task from Global renaming of B_dash to Global renaming of B_dash → A1Cafel.Jun 4 2019, 7:09 AM
revi added a subscriber: revi.Jun 5 2019, 10:29 AM

@jcrespo please consider sending an email to global-renamers - at - lists.wikimedia.org in case of improvements like this -- which everyone will love.

@revi I will suggest the developers to announce it there (all credit to the core team), although I am mostly sure they are aware of this; just not ready enough to be announced yet.

Tegel added a subscriber: Tegel.Jun 5 2019, 11:46 AM
1997kB renamed this task from Global renaming of B_dash → A1Cafel to Global rename of B dash → A1Cafel: supervision needed.Jun 9 2019, 2:56 AM
94rain added a subscriber: 94rain.Jun 10 2019, 11:00 AM

This doesn't really need a DBA there is no lag replication lag showing up since we replaced all the old hardware

@mys_721tx, there should be no reason to block this anymore, as far as I been told and I can see, renames should be (almost) instant and not longer be an error-prone action. Please confirm when performing this rename.

MarcoAurelio changed the task status from Stalled to Open.Jul 2 2019, 10:06 AM
mys_721tx closed this task as Resolved.Jul 2 2019, 12:41 PM
mys_721tx claimed this task.

Thanks @jcrespo ! I have renamed the user without any issue.

@revi This is not yet announced, but I have not forgotten about it, I just want to right person to do it (who implemented it) to take credit for the improvement.